This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 510380 - yelp's UNIX man page parser fails to apply some substitutions
yelp's UNIX man page parser fails to apply some substitutions
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yelp (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-08 16:56 EDT by "FeRD" (Frank Dana)
Modified: 2009-07-09 11:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-09 11:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 588164 None None None Never

  None (edit)
Description "FeRD" (Frank Dana) 2009-07-08 16:56:51 EDT
Description of problem:
Substitution codes are used in some man pages, which format properly on the terminal using the man(1) command, but in at least some instances these are ignored by yelp, causing misformatting.

For example, the source for the xorg.conf man page contains:

-----
.\" shorthand for double quote that works everywhere.
.ds q \N'34'
-----

(..Ah, foolish optimism.) It then specifies lines similar to the following:

-----
.BI "Section  \*q" SectionName \*q
.RI "    " SectionEntry
    ...
.B EndSection
-----

...which will never be accused of being attractive code, but formats correctly on the terminal with 'man'. Not so, in yelp's rendering. (See below.)


Version-Release number of selected component (if applicable):
2.26.0-4.fc11


How reproducible:
(I've never understood the difference between this section and the next. Is the question, "How frequently/reliably can the bug be reproduced"? That's not very clearly implied.)
...If so, 100% of the time, only on (very few) pages which are affected by the bug.


Steps to Reproduce:
1. Run yelp (or choose System >> Help from menu)
2. Enter "xorg.conf" in Search: box
3. Click on link for xorg.conf manual page (second result on my system)
4. First occurrence is the Section example following the line "The xorg.conf file is composed of a number of sections..."


Actual results:
Yelp formats the example Section stanza as:

-----
Section  qSectionNameq
    SectionEntry
    ...
EndSection
-----


Expected results:
'man 5 xorg.conf' fares somewhat better, producing:

-----
           Section  "SectionName"
               SectionEntry
               ...
           EndSection
-----

Additional info:
Comment 1 Matthew Barnes 2009-07-09 11:27:25 EDT
Moving this upstream for better visibility to Yelp developers.
Please see [1] for further updates.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=588164

Note You need to log in before you can comment on or make changes to this bug.